/* ============================================================================================
	FEATURED STICKY BLOCK / PATTERN
============================================================================================ */
.hhobar-sticky-block-inner {
    flex-flow: column;
	gap: 2em 6% !important
}
.wp-block-cover.hhobar-sticky-block-cover {
	width: 100%
}
.hhobar-sticky-block-cover .wp-block-cover__inner-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%
}
.hhobar-sticky-block-cover-content {
	display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    max-height: 600px;
    padding: 4em 2em;
    outline: 1px solid rgb(50, 50, 50, .8);
    outline-offset: -10px;
    text-align: center
}
.hhobar-sticky-block-cover-heading::after {
    content: "";
    display: block;
    width: 60%;
    height: 1px;
    margin: 1em auto;
    background: rgba(0,0,0,.8)
}

/* right */
@keyframes removeBlur{from{opacity:.5;filter: blur(100px)}to{opacity:1;filter: blur(0)}}
.hhobar-sticky-block-text p {
    margin: 2.2em 0;
    line-height: 1.9;
    filter: blur(100px);
    animation: auto linear removeBlur both;
    animation-timeline: view();
    animation-range: entry 5% cover 40%
}

@media screen and (min-width: 886px) {
    .hhobar-sticky-block-inner {
        flex-flow: row nowrap;
        align-items: flex-start
    }
    .hhobar-sticky-block-cover {
        position: sticky;
        top: calc(var(--hhobar-navigation-default-height) + 10px);
        display: flex;
        justify-content: center;
        align-items: center;
        width: 50% !important;
        max-width: 600px;
        height: calc(100lvh - calc(var(--hhobar-navigation-default-height) * 2) - 20px)
    }
    .admin-bar .hhobar-sticky-block-cover {
        top: calc(calc(var(--hhobar-navigation-default-height) + 10px) + var(--admin-bar-height));
        height: calc(100lvh - calc(calc(var(--hhobar-navigation-default-height) * 2) - 20px) - var(--admin-bar-height));
    }
    .hhobar-sticky-block-text {
        flex: 1;
        min-width: 0;
        padding: 80vh 0
    }
    .hhobar-sticky-block-text p {
        max-width: 600px;
        margin: 4em auto;
        line-height: 2.5;
    }
}
